## com.imcode.imcms.api
Class I18nException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.imcode.imcms.api.I18nException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  I18nDisabledException

    public class I18nException

extends java.lang.RuntimeException

See Also:
  Serialized Form

Constructor Summary
`I18nException()`
`I18nException(java.lang.String message)`
`I18nException(java.lang.String message, java.lang.Throwable cause)`
`I18nException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### I18nException

    public I18nException()

### I18nException

    public I18nException(java.lang.String message)

### I18nException

    public I18nException(java.lang.Throwable cause)

### I18nException

    public I18nException(java.lang.String message,
                         java.lang.Throwable cause)